Skip to main content
`Ctrl`+`K`

# DMCreateMassMatrixLumped

Gets the lumped mass matrix for a given `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateMassMatrixLumped(DM dm, Vec *llm, Vec *lm)

Collective

## Input Parameter

- dm - the `DM` object

## Output Parameters

- llm - the local lumped mass matrix, which is a diagonal matrix, represented as a vector

- lm - the global lumped mass matrix, which is a diagonal matrix, represented as a vector

## Note

See `DMCreateMassMatrix()` for how to create the non-lumped version of the mass matrix.

## See Also

DM Basics, `DM`, `DMCreateMassMatrix()`, `DMCreateMatrix()`, `DMRefine()`, `DMCoarsen()`, `DMCreateRestriction()`, `DMCreateInterpolation()`, `DMCreateInjection()`

## Level

developer

## Location

src/dm/interface/dm.c

## Examples

src/ts/tutorials/ex30.c

## Implementations

DMCreateMassMatrixLumped_Plex() in src/dm/impls/plex/plex.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages